ShapeConstants (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.shape
Interface ShapeConstants

All Known Subinterfaces:
  EsriGraphic

All Known Implementing Classes:
  DbfFile, DbfTableModel, DbfTableModelFactory, DrawingAttributesUtility, EsriGraphicFactory, EsriGraphicList, EsriIconPoint, EsriLayer, ESRILinkPointRecord, ESRILinkPolygonRecord, ESRIMultiPointRecord, EsriPlugIn, EsriPoint, EsriPointList, ESRIPointRecord, ESRIPoly, ESRIPoly.ESRIFloatPoly, EsriPolygon, EsriPolygonList, EsriPolygonM, EsriPolygonMList, ESRIPolygonRecord, EsriPolygonZ, EsriPolygonZList, EsriPolyline, EsriPolylineList, EsriPolylineM, EsriPolylineMList, EsriPolylineZ, EsriPolylineZList, ESRIRecord, EsriShapeExport, EsriTextPoint, LinkSpatialIndex, MetaDbfTableModel, ShapeFile, ShapeIndex, ShapeUtils, ShpInputStream, SpatialIndex, Tester

    public interface ShapeConstants

Field Summary
`static java.lang.String` | `DBF_ATTRIBUTE` Attribute Key for DbfTableModel stored in an EsriGraphicList.
`static java.lang.String` | `DBF_AUTOINCREMENT`
`static java.lang.String` | `DBF_BINARY`
`static java.lang.String` | `DBF_CHARACTER`
`static java.lang.String` | `DBF_DATE`
`static java.lang.String` | `DBF_DOUBLE`
`static java.lang.String` | `DBF_FLOAT`
`static java.lang.String` | `DBF_LOGICAL`
`static java.lang.String` | `DBF_LONG`
`static java.lang.String` | `DBF_MEMO`
`static java.lang.String` | `DBF_NUMERIC`
`static java.lang.String` | `DBF_OLE`
`static java.lang.String` | `DBF_TIMESTAMP`
`static java.lang.Byte` | `DBF_TYPE_AUTOINCREMENT`
`static java.lang.Byte` | `DBF_TYPE_BINARY`
`static java.lang.Byte` | `DBF_TYPE_CHARACTER`
`static java.lang.Byte` | `DBF_TYPE_DATE`
`static java.lang.Byte` | `DBF_TYPE_DOUBLE`
`static java.lang.Byte` | `DBF_TYPE_FLOAT`
`static java.lang.Byte` | `DBF_TYPE_LOGICAL`
`static java.lang.Byte` | `DBF_TYPE_LONG`
`static java.lang.Byte` | `DBF_TYPE_MEMO`
`static java.lang.Byte` | `DBF_TYPE_NUMERIC`
`static java.lang.Byte` | `DBF_TYPE_OLE`
`static java.lang.Byte` | `DBF_TYPE_TIMESTAMP`
`static java.lang.String` | `PARAM_DBF`
`static java.lang.String` | `PARAM_SHP`
`static java.lang.String` | `PARAM_SHX`
`static java.lang.String` | `SHAPE_BOUNDS_ATTRIBUTE` Attribute key for storing a bounding box in an attribute map for a record.
`static java.lang.String` | `SHAPE_DBF_DASHPATTERN`
`static java.lang.String` | `SHAPE_DBF_DASHPHASE`
`static java.lang.String` | `SHAPE_DBF_DESCRIPTION`
`static java.lang.String` | `SHAPE_DBF_FILLCOLOR`
`static java.lang.String` | `SHAPE_DBF_INFO_ATTRIBUTE` Attribute key for row of attribute information (ArrayList) from the DBF file on a Shape feature.
`static java.lang.String` | `SHAPE_DBF_LINECOLOR`
`static java.lang.String` | `SHAPE_DBF_LINEWIDTH`
`static java.lang.String` | `SHAPE_DBF_SELECTCOLOR`
`static int` | `SHAPE_FILE_HEADER_LENGTH` The length of a shape file header in bytes, value of 100.
`static int` | `SHAPE_FILE_RECORD_HEADER_LENGTH` The length of a shape file record header in bytes, value of 8.
`static java.lang.String` | `SHAPE_INDEX_ATTRIBUTE` Attribute key for index Integer for a shape feature, indicating the shape index into the file for the feature.
`static java.lang.String` | `SHAPE_MAX_MEASURE_ATTRIBUTE` For multi-part Z and M shape types, the maximum SHAPE_MEASURE_ATTRIBUTE value will be stored under this key in the multi-part graphic attribute table, as a Double.
`static java.lang.String` | `SHAPE_MAX_Z_ATTRIBUTE` For multi-part Z shape types, the maximum SHAPE_Z_ATTRIBUTE value will be stored under this key in the multi-part graphic attribute table, as a Double.
`static java.lang.String` | `SHAPE_MEASURE_ATTRIBUTE` For Z and M shape types, the measure value will be stored as a Double in the attribute table in the EsriGraphic under this key.
`static java.lang.String` | `SHAPE_MIN_MEASURE_ATTRIBUTE` For multi-part Z and M shape types, the minimum SHAPE_MEASURE_ATTRIBUTE value will be stored under this key in the multi-part graphic attribute table, as a Double.
`static java.lang.String` | `SHAPE_MIN_Z_ATTRIBUTE` For multi-part Z shape types, the minimum SHAPE_Z_ATTRIBUTE value will be stored under this key in the multi-part graphic attribute table, as a Double.
`static int` | `SHAPE_TYPE_ARC` The indicator for an arc (polyline) shape type, value of 3.
`static int` | `SHAPE_TYPE_MULTIPATCH`
`static int` | `SHAPE_TYPE_MULTIPOINT` The indicator for a multipoint shape type, value of 8.
`static int` | `SHAPE_TYPE_MULTIPOINTM`
`static int` | `SHAPE_TYPE_MULTIPOINTZ`
`static int` | `SHAPE_TYPE_NULL` The indicator for a null shape type, value of 0
`static int` | `SHAPE_TYPE_POINT` The indicator for a point shape type, value of 1.
`static int` | `SHAPE_TYPE_POINTM`
`static int` | `SHAPE_TYPE_POINTZ`
`static int` | `SHAPE_TYPE_POLYGON` The indicator for a polygon shape type, value of 5.
`static int` | `SHAPE_TYPE_POLYGONM`
`static int` | `SHAPE_TYPE_POLYGONZ`
`static int` | `SHAPE_TYPE_POLYLINE` The indicator for a polyline (arc) shape type, value of 3.
`static int` | `SHAPE_TYPE_POLYLINEM`
`static int` | `SHAPE_TYPE_POLYLINEZ`
`static java.lang.String` | `SHAPE_Z_ATTRIBUTE` For Z shape types, the z value will be stored as a Double in the attribute table in the EsriGraphic under this key.

Field Detail

### SHAPE_FILE_HEADER_LENGTH

    static final int SHAPE_FILE_HEADER_LENGTH

  The length of a shape file header in bytes, value of 100.

  See Also:
    Constant Field Values

### SHAPE_FILE_RECORD_HEADER_LENGTH

    static final int SHAPE_FILE_RECORD_HEADER_LENGTH

  The length of a shape file record header in bytes, value of 8.

  See Also:
    Constant Field Values

### SHAPE_TYPE_NULL

    static final int SHAPE_TYPE_NULL

  The indicator for a null shape type, value of 0

  See Also:
    Constant Field Values

### SHAPE_TYPE_POINT

    static final int SHAPE_TYPE_POINT

  The indicator for a point shape type, value of 1.

  See Also:
    Constant Field Values

### SHAPE_TYPE_ARC

    static final int SHAPE_TYPE_ARC

  The indicator for an arc (polyline) shape type, value of 3.

  See Also:
    Constant Field Values

### SHAPE_TYPE_POLYLINE

    static final int SHAPE_TYPE_POLYLINE

  The indicator for a polyline (arc) shape type, value of 3. NOTE: ESRI decided to rename the `arc' type as the `polyline' type as of their July 1998 Shapefile Technical Description paper. Maybe they should rename Arc/Info as Polyline/Info?...

  See Also:
    Constant Field Values

### SHAPE_TYPE_POLYGON

    static final int SHAPE_TYPE_POLYGON

  The indicator for a polygon shape type, value of 5.

  See Also:
    Constant Field Values

### SHAPE_TYPE_MULTIPOINT

    static final int SHAPE_TYPE_MULTIPOINT

  The indicator for a multipoint shape type, value of 8.

  See Also:
    Constant Field Values

### SHAPE_TYPE_POINTZ

    static final int SHAPE_TYPE_POINTZ

See Also:
  Constant Field Values

### SHAPE_TYPE_POLYLINEZ

    static final int SHAPE_TYPE_POLYLINEZ

See Also:
  Constant Field Values

### SHAPE_TYPE_POLYGONZ

    static final int SHAPE_TYPE_POLYGONZ

See Also:
  Constant Field Values

### SHAPE_TYPE_MULTIPOINTZ

    static final int SHAPE_TYPE_MULTIPOINTZ

See Also:
  Constant Field Values

### SHAPE_TYPE_POINTM

    static final int SHAPE_TYPE_POINTM

See Also:
  Constant Field Values

### SHAPE_TYPE_POLYLINEM

    static final int SHAPE_TYPE_POLYLINEM

See Also:
  Constant Field Values

### SHAPE_TYPE_POLYGONM

    static final int SHAPE_TYPE_POLYGONM

See Also:
  Constant Field Values

### SHAPE_TYPE_MULTIPOINTM

    static final int SHAPE_TYPE_MULTIPOINTM

See Also:
  Constant Field Values

### SHAPE_TYPE_MULTIPATCH

    static final int SHAPE_TYPE_MULTIPATCH

See Also:
  Constant Field Values

### DBF_TYPE_BINARY

    static final java.lang.Byte DBF_TYPE_BINARY

### DBF_BINARY

    static final java.lang.String DBF_BINARY

See Also:
  Constant Field Values

### DBF_TYPE_CHARACTER

    static final java.lang.Byte DBF_TYPE_CHARACTER

### DBF_CHARACTER

    static final java.lang.String DBF_CHARACTER

See Also:
  Constant Field Values

### DBF_TYPE_DATE

    static final java.lang.Byte DBF_TYPE_DATE

### DBF_DATE

    static final java.lang.String DBF_DATE

See Also:
  Constant Field Values

### DBF_TYPE_NUMERIC

    static final java.lang.Byte DBF_TYPE_NUMERIC

### DBF_NUMERIC

    static final java.lang.String DBF_NUMERIC

See Also:
  Constant Field Values

### DBF_TYPE_LOGICAL

    static final java.lang.Byte DBF_TYPE_LOGICAL

### DBF_LOGICAL

    static final java.lang.String DBF_LOGICAL

See Also:
  Constant Field Values

### DBF_TYPE_MEMO

    static final java.lang.Byte DBF_TYPE_MEMO

### DBF_MEMO

    static final java.lang.String DBF_MEMO

See Also:
  Constant Field Values

### DBF_TYPE_TIMESTAMP

    static final java.lang.Byte DBF_TYPE_TIMESTAMP

### DBF_TIMESTAMP

    static final java.lang.String DBF_TIMESTAMP

See Also:
  Constant Field Values

### DBF_TYPE_LONG

    static final java.lang.Byte DBF_TYPE_LONG

### DBF_LONG

    static final java.lang.String DBF_LONG

See Also:
  Constant Field Values

### DBF_TYPE_AUTOINCREMENT

    static final java.lang.Byte DBF_TYPE_AUTOINCREMENT

### DBF_AUTOINCREMENT

    static final java.lang.String DBF_AUTOINCREMENT

See Also:
  Constant Field Values

### DBF_TYPE_FLOAT

    static final java.lang.Byte DBF_TYPE_FLOAT

### DBF_FLOAT

    static final java.lang.String DBF_FLOAT

See Also:
  Constant Field Values

### DBF_TYPE_DOUBLE

    static final java.lang.Byte DBF_TYPE_DOUBLE

### DBF_DOUBLE

    static final java.lang.String DBF_DOUBLE

See Also:
  Constant Field Values

### DBF_TYPE_OLE

    static final java.lang.Byte DBF_TYPE_OLE

### DBF_OLE

    static final java.lang.String DBF_OLE

See Also:
  Constant Field Values

### PARAM_DBF

    static final java.lang.String PARAM_DBF

See Also:
  Constant Field Values

### PARAM_SHX

    static final java.lang.String PARAM_SHX

See Also:
  Constant Field Values

### PARAM_SHP

    static final java.lang.String PARAM_SHP

See Also:
  Constant Field Values

### SHAPE_DBF_DESCRIPTION

    static final java.lang.String SHAPE_DBF_DESCRIPTION

See Also:
  Constant Field Values

### SHAPE_DBF_LINECOLOR

    static final java.lang.String SHAPE_DBF_LINECOLOR

See Also:
  Constant Field Values

### SHAPE_DBF_FILLCOLOR

    static final java.lang.String SHAPE_DBF_FILLCOLOR

See Also:
  Constant Field Values

### SHAPE_DBF_SELECTCOLOR

    static final java.lang.String SHAPE_DBF_SELECTCOLOR

See Also:
  Constant Field Values

### SHAPE_DBF_LINEWIDTH

    static final java.lang.String SHAPE_DBF_LINEWIDTH

See Also:
  Constant Field Values

### SHAPE_DBF_DASHPATTERN

    static final java.lang.String SHAPE_DBF_DASHPATTERN

See Also:
  Constant Field Values

### SHAPE_DBF_DASHPHASE

    static final java.lang.String SHAPE_DBF_DASHPHASE

See Also:
  Constant Field Values

### DBF_ATTRIBUTE

    static final java.lang.String DBF_ATTRIBUTE

  Attribute Key for DbfTableModel stored in an EsriGraphicList. or for a row of attribute information (ArrayList) from the DBF file on a Shape feature.

  See Also:
    Constant Field Values

### SHAPE_DBF_INFO_ATTRIBUTE

    static final java.lang.String SHAPE_DBF_INFO_ATTRIBUTE

  Attribute key for row of attribute information (ArrayList) from the DBF file on a Shape feature.

  See Also:
    Constant Field Values

### SHAPE_INDEX_ATTRIBUTE

    static final java.lang.String SHAPE_INDEX_ATTRIBUTE

  Attribute key for index Integer for a shape feature, indicating the shape index into the file for the feature. Caution! Shape indexes start at 1, not zero!

  See Also:
    Constant Field Values

### SHAPE_MEASURE_ATTRIBUTE

    static final java.lang.String SHAPE_MEASURE_ATTRIBUTE

  For Z and M shape types, the measure value will be stored as a Double in the attribute table in the EsriGraphic under this key.

  See Also:
    Constant Field Values

### SHAPE_MIN_MEASURE_ATTRIBUTE

    static final java.lang.String SHAPE_MIN_MEASURE_ATTRIBUTE

  For multi-part Z and M shape types, the minimum SHAPE_MEASURE_ATTRIBUTE value will be stored under this key in the multi-part graphic attribute table, as a Double.

  See Also:
    Constant Field Values

### SHAPE_MAX_MEASURE_ATTRIBUTE

    static final java.lang.String SHAPE_MAX_MEASURE_ATTRIBUTE

  For multi-part Z and M shape types, the maximum SHAPE_MEASURE_ATTRIBUTE value will be stored under this key in the multi-part graphic attribute table, as a Double.

  See Also:
    Constant Field Values

### SHAPE_Z_ATTRIBUTE

    static final java.lang.String SHAPE_Z_ATTRIBUTE

  For Z shape types, the z value will be stored as a Double in the attribute table in the EsriGraphic under this key.

  See Also:
    Constant Field Values

### SHAPE_MIN_Z_ATTRIBUTE

    static final java.lang.String SHAPE_MIN_Z_ATTRIBUTE

  For multi-part Z shape types, the minimum SHAPE_Z_ATTRIBUTE value will be stored under this key in the multi-part graphic attribute table, as a Double.

  See Also:
    Constant Field Values

### SHAPE_MAX_Z_ATTRIBUTE

    static final java.lang.String SHAPE_MAX_Z_ATTRIBUTE

  For multi-part Z shape types, the maximum SHAPE_Z_ATTRIBUTE value will be stored under this key in the multi-part graphic attribute table, as a Double.

  See Also:
    Constant Field Values

### SHAPE_BOUNDS_ATTRIBUTE

    static final java.lang.String SHAPE_BOUNDS_ATTRIBUTE

  Attribute key for storing a bounding box in an attribute map for a record.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details